export declare function useInput(props: {
    id?: string;
    autocomplete?: string;
    disabled?: boolean;
    readonly?: boolean;
    error?: boolean;
}, emit: {
    (event: 'focus', payload: FocusEvent): void;
    (event: 'blur', payload: FocusEvent): void;
}): {
    isFocused: import("vue").Ref<boolean, boolean>;
    inputEl: import("vue").Ref<HTMLInputElement | HTMLTextAreaElement, HTMLInputElement | HTMLTextAreaElement>;
    inputId: import("vue").ComputedRef<string>;
    inputBindings: import("vue").ComputedRef<{
        id: string;
        autocomplete: string;
        disabled: boolean;
        readonly: boolean;
        'aria-invalid': true;
        class: string;
    }>;
    onFocus: (event: FocusEvent) => void;
    onBlur: (event: FocusEvent) => void;
};
